Tryton - Issues

 

Issue7410

Title FEC should not contain fiscal year non-report balance movement
Priority bug Status resolved
Superseder Nosy List ced, reviewbot, risto3, roundup-bot
Type behavior Components account_fr
Assigned To ced Keywords review
Reviews 74321002
View: 74321002

Created on 2018-05-02.15:21:46 by risto3, last changed by roundup-bot.

Messages
New changeset 017747c6573b by Cédric Krier in branch 'default':
Exclude deferral period and use configuration for opening
https://hg.tryton.org/tryton-env/rev/017747c6573b
New changeset b1f3c4a79d3e by Cédric Krier in branch 'default':
Exclude deferral period and use configuration for opening
https://hg.tryton.org/modules/account_fr/rev/b1f3c4a79d3e
msg43885 (view) Author: [hidden] (risto3) Date: 2018-09-14.20:03:55
This seems okay to me, other than the choice of 'OUV' for the journal code, perhaps 'AN' or 'RAN' is more frequently encountered, but since it can be configured... oh well. +1 and thanks!

BTW: Perhaps we should add a warning for the case where the non-reports aren't balanced yet for N-1 as the class 6&7 accounts will still show up in the initial balance -- which shouldn't happen... 

The user should then provisionally balance the non-reports (necessitating replacement of the move later if anything changes when the FY is really ready to be closed)
review74321002 updated at https://codereview.tryton.org/74321002/#ps1
msg43814 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-09-11.11:58:58
Here is review74321002 that adds the option to exclude the adjustment period of deferral. I also converted the journal and number into a configuration for the opening move as there is no need to change it.
msg40496 (view) Author: [hidden] (risto3) Date: 2018-05-02.15:21:46
As indicated in the tryton-fr list, it seems that the closing balance non-report movement should not be including in the FEC as it zeros class 6 & 7 accounts.

Besides, it is implicitly done in the next years FEC the Report à nouveau generated as no class 6 nor 7 accounts are included.

Consequently, there needs to be put in place a mechanism to exclude [the journal having] this move from the FEC generation.
History
Date User Action Args
2018-09-14 22:46:27roundup-botsetmessages: + msg43887
2018-09-14 22:46:23roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg43886
2018-09-14 20:03:55risto3setmessages: + msg43885
2018-09-11 12:25:19reviewbotsetnosy: + reviewbot
messages: + msg43815
2018-09-11 11:58:58cedsetstatus: unread -> testing
reviews: 74321002
type: behavior
nosy: + ced
keyword: + review
assignedto: ced
messages: + msg43814
component: + account_fr
2018-05-02 23:29:58cedsetpriority: feature -> bug
2018-05-02 23:24:28cedsetpriority: critical -> feature
2018-05-02 15:21:46risto3create

Showing 10 items. Show all history (warning: this could be VERY long)